--- old/usr/src/uts/common/io/fibre-channel/fca/emlxs/emlxs_solaris.c	2015-08-19 07:25:00.620053718 -0400
+++ new/usr/src/uts/common/io/fibre-channel/fca/emlxs/emlxs_solaris.c	2015-08-19 07:25:00.626117256 -0400
@@ -2649,7 +2649,7 @@
 		/* Driver's timer will not function during panics. */
 		/* Therefore, timer checks must be performed manually. */
 		(void) drv_getparm(LBOLT, &time);
-		timeout = time + drv_usectohz(1000000);
+		timeout = time + drv_sectohz(1);
 		while (!(sbp->pkt_flags & PACKET_COMPLETED)) {
 			EMLXS_SLI_POLL_INTR(hba);
 			(void) drv_getparm(LBOLT, &time);
@@ -2657,7 +2657,7 @@
 			/* Trigger timer checks periodically */
 			if (time >= timeout) {
 				emlxs_timer_checks(hba);
-				timeout = time + drv_usectohz(1000000);
+				timeout = time + drv_sectohz(1);
 			}
 		}
 	} else {
@@ -3764,7 +3764,7 @@
 
 			/* Keep polling the chip until our IO is completed */
 			(void) drv_getparm(LBOLT, &time);
-			timer = time + drv_usectohz(1000000);
+			timer = time + drv_sectohz(1);
 			while ((time < pkt_timeout) &&
 			    !(sbp->pkt_flags & PACKET_COMPLETED)) {
 				EMLXS_SLI_POLL_INTR(hba);
@@ -3773,7 +3773,7 @@
 				/* Trigger timer checks periodically */
 				if (time >= timer) {
 					emlxs_timer_checks(hba);
-					timer = time + drv_usectohz(1000000);
+					timer = time + drv_sectohz(1);
 				}
 			}
 		} else {
@@ -4046,14 +4046,14 @@
 		mutex_exit(&EMLXS_PORT_LOCK);
 
 		/* Wait for the timer thread to detect the error condition */
-		delay(drv_usectohz(1000000));
+		delay(drv_sectohz(1));
 
 		/* Wait for the HBA to re-initialize */
 		i = 0;
 		mutex_enter(&EMLXS_PORT_LOCK);
 		while (!(hba->flag & FC_ONLINE_MODE) && (i++ < 30)) {
 			mutex_exit(&EMLXS_PORT_LOCK);
-			delay(drv_usectohz(1000000));
+			delay(drv_sectohz(1));
 			mutex_enter(&EMLXS_PORT_LOCK);
 		}
 
